Api key provided on integrations tab in Easyflow platform.
List businesses by owner
Returns all businesses associated with the owner
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Query parameters
pageintegerrequiredPage number to access
limitintegerrequiredNumber of items to be loaded per page
Responses
200In case of success, you will receive a paginated list of all businesses belonging to the owner.
In case of success, you will receive a paginated list of all businesses belonging to the owner.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstringcreatedAtstringnamestringdocumentobjectShow child attributesHide child attributes
typestringnumberstring
ownerobjectShow child attributesHide child attributes
idstringnamestringdocumentobjectShow child attributesHide child attributes
typestringnumberstring
emailstring
planobjectShow child attributesHide child attributes
idstringdescriptionstringnamestringstatusstringisDefaultboolean
bankAccountsarray of objectsShow child attributesHide child attributes
agencyNumberstringnullableaccountNumberstringnullablenamestringbankCodestringnullableisDefaultbooleanexternalReferenceIdstringidstringpixKeystringpixTypestringtypestringaccountCheckerDigitstringnullableagencyCheckerDigitstringnullable
limitintegercurrentPageintegernextPageintegernullabletotalPagesintegertotalDocsintegerhasNextboolean
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.